> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv3leaderboard 



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v3/leaderboard/{affinity}/{platform}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v3/leaderboard/{affinity}/{platform}:
    get:
      tags:
        - valorant
      operationId: leaderboard_v3
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
        - name: platform
          in: path
          description: Platform (pc, console)
          required: true
          schema:
            type: string
        - name: season
          in: query
          description: Season ID (optional)
          required: false
          schema:
            type: string
        - name: size
          in: query
          description: Number of results per page (optional)
          required: false
          schema:
            type: integer
            format: int32
        - name: page
          in: query
          description: Page number (optional)
          required: false
          schema:
            type: integer
            format: int32
        - name: name
          in: query
          description: Player name to search for (optional)
          required: false
          schema:
            type: string
        - name: tag
          in: query
          description: Player tag to search for (optional)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Leaderboard retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeaderboardV3Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Leaderboard not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    LeaderboardV3Response:
      type: object
      required:
        - status
        - results
        - data
      properties:
        data:
          $ref: '#/components/schemas/LeaderboardV3Data'
        results:
          $ref: '#/components/schemas/Pagination'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    LeaderboardV3Data:
      type: object
      required:
        - updated_at
        - thresholds
        - players
      properties:
        players:
          type: array
          items:
            $ref: '#/components/schemas/LeaderboardV3DataPlayer'
        thresholds:
          type: array
          items:
            $ref: '#/components/schemas/LeaderboardV3DataThreshold'
        updated_at:
          type: string
    Pagination:
      type: object
      required:
        - total
        - returned
        - before
        - after
      properties:
        after:
          type: integer
          format: int32
        before:
          type: integer
          format: int32
        returned:
          type: integer
          format: int32
        total:
          type: integer
          format: int32
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    LeaderboardV3DataPlayer:
      type: object
      required:
        - card
        - title
        - is_banned
        - is_anonymized
        - name
        - tag
        - leaderboard_rank
        - tier
        - rr
        - wins
        - updated_at
      properties:
        card:
          type: string
        is_anonymized:
          type: boolean
        is_banned:
          type: boolean
        leaderboard_rank:
          type: integer
          format: int32
        name:
          type: string
        puuid:
          type:
            - string
            - 'null'
        rr:
          type: integer
          format: int32
        tag:
          type: string
        tier:
          type: integer
          format: int32
        title:
          type: string
        updated_at:
          type: string
        wins:
          type: integer
          format: int32
    LeaderboardV3DataThreshold:
      type: object
      required:
        - tier
        - start_index
        - threshold
      properties:
        start_index:
          type: integer
          format: int32
        threshold:
          type: integer
          format: int32
        tier:
          $ref: '#/components/schemas/LeaderboardV3DataThresholdTier'
    LeaderboardV3DataThresholdTier:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string

````